#!/bin/bash
while IFS="," read -r curhost curip
do
    echo "Host ${curhost} and IP ${curip}"
    # Upload this image
    curl --insecure --no-progress-meter --fail-with-body --request POST --url "https://espota.ctdo.de/" --header "Content-Type: multipart/form-data" --form ip="$curip" --form spiffs=@.pio/build/d1_mini/spiffs_${curhost}.bin --no-buffer
done < <(cat lastknownhostips)